## org.eclipse.datatools.modelbase.sql.tables
Interface Column

All Superinterfaces:
  SQLObject, TypedElement

All Known Implementing Classes:
  ColumnImpl

public interface Column
extends TypedElement

A representation of the model object 'Column'. Reference: 5WD-02-Foundation-2002-12 4.13 Columns, fields, and attributes

The following features are supported:

- `Table`
- `Identity Specifier`
- `Generate Expression`
- `Implementation Dependent`
- `Nullable`
- `Default Value`
- `Scope Check`
- `Scope Checked`

See Also:
  `SQLTablesPackage.getColumn()`

Method Summary
`java.lang.String` `getDefaultValue()` Returns the value of the 'Default Value' attribute.
`ValueExpression` `getGenerateExpression()` Returns the value of the 'Generate Expression' containment reference.
`IdentitySpecifier` `getIdentitySpecifier()` Returns the value of the 'Identity Specifier' containment reference.
`ReferentialActionType` `getScopeCheck()` Returns the value of the 'Scope Check' attribute.
`Table` `getTable()` Returns the value of the 'Table' container reference.
`boolean` `isImplementationDependent()` Returns the value of the 'Implementation Dependent' attribute.
`boolean` `isNullable()` Returns the value of the 'Nullable' attribute.
`boolean` `isPartOfForeignKey()`
`boolean` `isPartOfPrimaryKey()`
`boolean` `isPartOfUniqueConstraint()`
`boolean` `isScopeChecked()` Returns the value of the 'Scope Checked' attribute.
`void` `setDefaultValue(java.lang.String value)` Sets the value of the '`Default Value`' attribute.
`void` `setGenerateExpression(ValueExpression value)` Sets the value of the '`Generate Expression`' containment reference.
`void` `setIdentitySpecifier(IdentitySpecifier value)` Sets the value of the '`Identity Specifier`' containment reference.
`void` `setImplementationDependent(boolean value)` Sets the value of the '`Implementation Dependent`' attribute.
`void` `setNullable(boolean value)` Sets the value of the '`Nullable`' attribute.
`void` `setScopeCheck(ReferentialActionType value)` Sets the value of the '`Scope Check`' attribute.
`void` `setScopeChecked(boolean value)` Sets the value of the '`Scope Checked`' attribute.
`void` `setTable(Table value)` Sets the value of the '`Table`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getTable

    public Table getTable()

  Returns the value of the 'Table' container reference. It is bidirectional and its opposite is '`Columns`'.

  If the meaning of the 'Table' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table' container reference.
  See Also:
    `setTable(Table)`, `SQLTablesPackage.getColumn_Table()`, `Table.getColumns()`

### setTable

    public void setTable(Table value)

  Sets the value of the '`Table`' container reference.

  Parameters:
    `value` - the new value of the 'Table' container reference.
  See Also:
    `getTable()`

### getIdentitySpecifier

    public IdentitySpecifier getIdentitySpecifier()

  Returns the value of the 'Identity Specifier' containment reference.

  If the meaning of the 'Identity Specifier' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Specifier' containment reference.
  See Also:
    `setIdentitySpecifier(IdentitySpecifier)`, `SQLTablesPackage.getColumn_IdentitySpecifier()`

### setIdentitySpecifier

    public void setIdentitySpecifier(IdentitySpecifier value)

  Sets the value of the '`Identity Specifier`' containment reference.

  Parameters:
    `value` - the new value of the 'Identity Specifier' containment reference.
  See Also:
    `getIdentitySpecifier()`

### getGenerateExpression

    public ValueExpression getGenerateExpression()

  Returns the value of the 'Generate Expression' containment reference.

  If the meaning of the 'Generate Expression' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Generate Expression' containment reference.
  See Also:
    `setGenerateExpression(ValueExpression)`, `SQLTablesPackage.getColumn_GenerateExpression()`

### setGenerateExpression

    public void setGenerateExpression(ValueExpression value)

  Sets the value of the '`Generate Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Generate Expression' containment reference.
  See Also:
    `getGenerateExpression()`

### isImplementationDependent

    public boolean isImplementationDependent()

  Returns the value of the 'Implementation Dependent' attribute. The default value is `"False"`.

  If the meaning of the 'Implementation Dependent' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Implementation Dependent' attribute.
  See Also:
    `setImplementationDependent(boolean)`, `SQLTablesPackage.getColumn_ImplementationDependent()`

### setImplementationDependent

    public void setImplementationDependent(boolean value)

  Sets the value of the '`Implementation Dependent`' attribute.

  Parameters:
    `value` - the new value of the 'Implementation Dependent' attribute.
  See Also:
    `isImplementationDependent()`

### isNullable

    public boolean isNullable()

  Returns the value of the 'Nullable' attribute. The default value is `"True"`.

  If the meaning of the 'Nullable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `setNullable(boolean)`, `SQLTablesPackage.getColumn_Nullable()`

### setNullable

    public void setNullable(boolean value)

  Sets the value of the '`Nullable`' attribute.

  Parameters:
    `value` - the new value of the 'Nullable' attribute.
  See Also:
    `isNullable()`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Returns the value of the 'Default Value' attribute.

  If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `setDefaultValue(String)`, `SQLTablesPackage.getColumn_DefaultValue()`

### setDefaultValue

    public void setDefaultValue(java.lang.String value)

  Sets the value of the '`Default Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Value' attribute.
  See Also:
    `getDefaultValue()`

### getScopeCheck

    public ReferentialActionType getScopeCheck()

  Returns the value of the 'Scope Check' attribute. The default value is `"NO_ACTION"`. The literals are from the enumeration `ReferentialActionType`.

  If the meaning of the 'Scope Check' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `setScopeCheck(ReferentialActionType)`, `SQLTablesPackage.getColumn_ScopeCheck()`

### setScopeCheck

    public void setScopeCheck(ReferentialActionType value)

  Sets the value of the '`Scope Check`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `getScopeCheck()`

### isScopeChecked

    public boolean isScopeChecked()

  Returns the value of the 'Scope Checked' attribute.

  If the meaning of the 'Scope Checked' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Checked' attribute.
  See Also:
    `setScopeChecked(boolean)`, `SQLTablesPackage.getColumn_ScopeChecked()`

### setScopeChecked

    public void setScopeChecked(boolean value)

  Sets the value of the '`Scope Checked`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Checked' attribute.
  See Also:
    `isScopeChecked()`

### isPartOfForeignKey

    public boolean isPartOfForeignKey()

### isPartOfUniqueConstraint

    public boolean isPartOfUniqueConstraint()

### isPartOfPrimaryKey

    public boolean isPartOfPrimaryKey()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.